Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql
Class SQLException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--superwaba.ext.xplat.sql.SQLException

Direct Known Subclasses:
  BatchUpdateException, SQLWarning

public class SQLException
extends Exception

This exception is thrown when a database error occurs.

Constructor Summary
`SQLException()` This method initializes a new instance of `SQLException` that does not have a descriptive messages and SQL state, and which has a vendor error code of 0.
`SQLException(String message)` This method initializes a new instance of `SQLException` with the specified descriptive error message.
`SQLException(String message, String SQLState)` This method initializes a new instance of `SQLException` with the specified descriptive error message and SQL state string.
`SQLException(String message, String SQLState, int vendorCode)` This method initializes a nwe instance of `SQLException` with the specified descriptive error message, SQL state string, and vendor code.

Method Summary
`int` | `getErrorCode()` This method returns the vendor specific error code associated with this error.
`SQLException` | `getNextException()` This method returns the exception that is chained to this object.
`String` | `getSQLState()` This method returns the SQLState information associated with this error.
`void` | `setNextException(SQLException e)` This method adds a new exception to the end of the chain of exceptions that are chained to this object.

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, wait, wait`

Constructor Detail

### SQLException

    public SQLException(String message,
                        String SQLState,
                        int vendorCode)

  This method initializes a nwe instance of `SQLException` with the specified descriptive error message, SQL state string, and vendor code.
  Parameters:
    `message` - A string describing the nature of the error.
    `SQLState` - A string containing the SQL state of the error.
    `vendorCode` - The vendor error code associated with this error.

### SQLException

    public SQLException(String message,
                        String SQLState)

  This method initializes a new instance of `SQLException` with the specified descriptive error message and SQL state string. The vendor error code of this instance will be 0.
  Parameters:
    `message` - A string describing the nature of the error.
    `SQLState` - A string containing the SQL state of the error.

### SQLException

    public SQLException(String message)

  This method initializes a new instance of `SQLException` with the specified descriptive error message. The SQL state of this instance will be `null` and the vendor error code will be 0.
  Parameters:
    `message` - A string describing the nature of the error.

### SQLException

    public SQLException()

  This method initializes a new instance of `SQLException` that does not have a descriptive messages and SQL state, and which has a vendor error code of 0.

Method Detail

### getSQLState

    public String getSQLState()

  This method returns the SQLState information associated with this error. The value returned is a `String` which is formatted using the XOPEN SQL state conventions.
  Returns:
    The SQL state, which may be `null`.

### getErrorCode

    public int getErrorCode()

  This method returns the vendor specific error code associated with this error.
  Returns:
    The vendor specific error code associated with this error.

### getNextException

    public SQLException getNextException()

  This method returns the exception that is chained to this object.
  Returns:
    The exception chained to this object, which may be `null`.

### setNextException

    public void setNextException(SQLException e)

  This method adds a new exception to the end of the chain of exceptions that are chained to this object.
  Parameters:
    `e` - The exception to add to the end of the chain.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD